Subject: Re: bug#76235: [PATCH] Improve prompt for 'project-switch-project'

From: Ship Mints <[email-masked]>
Date: Mon, 17 Feb 2025 03:47:04 -0500

Perhaps "invoke" instead of "execute" which sounds more natural for
commands, functions, keys sequences?

On Sun, Feb 16, 2025 at 10:14 PM Dmitry Gutov <[email-masked]> wrote:

> On 14/02/2025 23:24, Stefan Kangas wrote:
> > I do find the current message unclear, so I'd suggest something like
> >
> >      [run command in %s]
> >
> > where %s has the string face, the colon is removed (because this is not
> > a prompt per se), and "execute" is changed to "run" (which AFAICT is the
> > most commonly used terminology in Emacs, though there are exceptions).
>
> Hmm, when we look at how it gets displayed in practice, we show the
> prompt, and then either nothing, or the current prefix key sequence
> (after a timeout, the echo-keystrokes thing) - which might imply that
> the verb we use relates to the key sequence rather than the command
> invoked. And we "call" both commands and macros.
>
> I might be overthinking this.
>
> > Anyways, it's your call what to do here, but those are my two cents.
>
> No strong preference for me, and it's good to hear what others feel is
> acceptable.
>